Bug 67345 - mkinitrd assumes there are only 8 loop devices available
mkinitrd assumes there are only 8 loop devices available
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: mkinitrd (Show other bugs)
7.2
All Linux
medium Severity low
: ---
: ---
Assigned To: Matt Wilson
David Lawrence
https://bugzilla.redhat.com/bugzilla/...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-06-22 21:03 EDT by Charles R. Anderson
Modified: 2007-04-18 12:43 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-06-22 21:04:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Charles R. Anderson 2002-06-22 21:03:58 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.0) Gecko/20020605

Description of problem:
mkinitrd has a hardcoded list of loop devices to search for a free one to use to
make the inintrd image.  This list is currently 0 1 2 3 4 5 6 7 8.  All current
kernels, however, support 15 loop devices.  This list should either be extended
to include 9 10 11 12 13 14 15 16 or /dev should be searched directly for all
the available loop device nodes.

This change should also be applied to other Red Hat releases, including 6.2 if
Bug 67343, https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=67343 is resolved.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. mount -o loop 8 separate filesystems or losetup loop0-loop7.
2. try running mkinitrd.
3. ls -l /dev/loop* and notice that there are more loop devices available which
mkinitrd could use if it knew how.
	

Actual Results:  # mkinitrd /boot/initrd-2.2.19-6.2.16.img 2.2.19-6.2.16
All of your loopback devices are in use!




Expected Results:  mkinitrd should have tried using loop8-loop15, and only
printed the error message if all those were in use too.


Additional info:
Comment 1 Erik Troan 2002-06-23 19:01:54 EDT
already fixed in rawhide's mkinitrd

Note You need to log in before you can comment on or make changes to this bug.